:root {
  /* see variables.scss for more info */
  --section-light-text-color: #321 !important;
  --section-light-bg-color: #dc9 !important;
  --section-dark-text-color: #eee !important;
  --section-dark-bg-color: #631 !important;
  --cover-text-color: var(--section-light-text-color);
  --highlight: var(--section-light-bg-color);
  --sticky-menu-text-color: #d93 !important;
  --footer-color: var(--section-dark-text-color);
  --footer-color-background: var(--section-dark-bg-color);
}

/* Fix for small responsive images */
.post-content img,
.basicLightbox img {
  height: auto;
  border: 1px solid rgba(255, 255, 255, 0.5);
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
  border-radius: 2px;
}

/* Fix for iframes */
.post-content iframe {
  width: 100%;
  height: auto;
  overflow: hidden;
  aspect-ratio: 16 / 9;
}

/* Fix for zoomed images */
.basicLightbox {
  z-index: 100000;
}

main {
  min-height: calc(100vh - 40px);
}

.site-footer {
  padding: 0;
  overflow: hidden;
  line-height: 40px;
  height: 40px;
}

audio {
  width: 100%;
}

picture > img {
  width: 100%;
  height: auto;
  aspect-ratio: 16 / 9;
  object-fit: cover;
}

.mastodon-archive-post {
  margin: 3em 0;
}

.mastodon-archive-date {
  text-align: right;
  font-size: 0.8em;
  color: grey;
}

.mastodon-archive-card > a {
  display: block;
  position: relative;
}

.mastodon-archive-card > a::before {
  position: absolute;
  left: calc(50% - 40px);
  top: calc(50% - 40px);
  width: 80px;
  opacity: 0.5;
  content: url("/images/Font_Awesome_5_solid_play-circle.svg");
}
